com.holonplatform.vaadin.components

## Interface ValueHolder.MaySupportValueChangeMode

- All Known Subinterfaces:
    Input<V>, MultiSelect<T>, SingleSelect<T>, ValidatableInput<V>
  Enclosing interface:
    ValueHolder<V>

      public static interface ValueHolder.MaySupportValueChangeMode

  Declares that the `ValueChangeMode` handling may be supported and provides methods to configure it.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.shared.ui.ValueChangeMode` | `getValueChangeMode()` Get the mode how value change events are triggered.
    `int` | `getValueChangeTimeout()` Returns the currently set timeout, in milliseconds, for how often `ValueHolder.ValueChangeEvent`s are triggered if the current `ValueChangeMode` is set to either `ValueChangeMode.LAZY` or `ValueChangeMode.TIMEOUT`.
    `boolean` | `isValueChangeModeSupported()` Gets whether the `ValueChangeMode` is supported for this component.
    `void` | `setValueChangeMode(com.vaadin.shared.ui.ValueChangeMode valueChangeMode)` Sets the mode how value change events are triggered.
    `void` | `setValueChangeTimeout(int valueChangeTimeout)` Sets how often value change events are triggered when the `ValueChangeMode` is set to either `ValueChangeMode.LAZY` or `ValueChangeMode.TIMEOUT`.

- - ### Method Detail

    - #### isValueChangeModeSupported

          boolean isValueChangeModeSupported()

      Gets whether the `ValueChangeMode` is supported for this component.
      Returns:
        `true` if the `ValueChangeMode` is supported, `false` otherwise

    - #### setValueChangeMode

          void setValueChangeMode(com.vaadin.shared.ui.ValueChangeMode valueChangeMode)

      Sets the mode how value change events are triggered.

      If `ValueChangeMode` is not supported, this method has no effect.

      Parameters:
        `valueChangeMode` - the value change mode to set (not null)
      See Also:
        `isValueChangeModeSupported()`

    - #### getValueChangeMode

          com.vaadin.shared.ui.ValueChangeMode getValueChangeMode()

      Get the mode how value change events are triggered.

      If `ValueChangeMode` is not supported, `ValueChangeMode.BLUR` is returned.

      Returns:
        the value change mode
      See Also:
        `isValueChangeModeSupported()`

    - #### setValueChangeTimeout

          void setValueChangeTimeout(int valueChangeTimeout)

      Sets how often value change events are triggered when the `ValueChangeMode` is set to either `ValueChangeMode.LAZY` or `ValueChangeMode.TIMEOUT`.

      If `ValueChangeMode` is not supported, this method has no effect.

      Parameters:
        `valueChangeTimeout` - the timeout in milliseconds, (greater or equal to 0)
      See Also:
        `isValueChangeModeSupported()`

    - #### getValueChangeTimeout

          int getValueChangeTimeout()

      Returns the currently set timeout, in milliseconds, for how often `ValueHolder.ValueChangeEvent`s are triggered if the current `ValueChangeMode` is set to either `ValueChangeMode.LAZY` or `ValueChangeMode.TIMEOUT`.

      If `ValueChangeMode` is not supported, this method always returns `-1`.

      Returns:
        the timeout in milliseconds of how often value change events are triggered.
      See Also:
        `isValueChangeModeSupported()`

Copyright © 2019 The Holon Platform. All rights reserved.